SDL_GetSurfaceColorMod(3)

NAME
SDL_GetSurfaceColorMod - Get the additional color value multiplied into blit operations.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_GetSurfaceColorMod(SDL_Surface *surface, Uint8 *r, Uint8 *g, Uint8 *b);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

r   a pointer filled in with the current red color value.

g   a pointer filled in with the current green color value.

b   a pointer filled in with the current blue color value.

RETURN VALUE
for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetSurfaceAlphaMod(3), SDL_SetSurfaceColorMod(3)